> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search receivables

> This is a POST version of the `GET /receivables` endpoint. Use it to send search and filter parameters in the request body instead of the URL query string in case the query is too long and exceeds the URL length limit of your HTTP client.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json post /finops/v1/receivables/search
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/receivables/search:
    post:
      tags:
        - Receivables
      summary: Search receivables
      description: >-
        This is a POST version of the `GET /receivables` endpoint. Use it to
        send search and filter parameters in the request body instead of the URL
        query string in case the query is too long and exceeds the URL length
        limit of your HTTP client.
      operationId: post_receivables_search
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - required: false
          schema:
            type: string
          name: authorization
          in: header
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReceivablesSearchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReceivablePaginationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '406':
          description: Not Acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: >-
            Possible responses: `Action for {object_type} at permissions not
            found: {action}`,`Object type at permissions not found:
            {object_type}`,`Action {action} for {object_type} not allowed`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReceivablesSearchRequest:
      properties:
        based_on:
          type: string
          format: uuid
          description: >-
            This parameter accepts a quote ID or an invoice ID.


            * Specify a quote ID to find invoices created from this quote.

            * Specify an invoice ID to find credit notes created for this
            invoice.


            Valid but nonexistent IDs do not raise errors but produce no
            results.
        counterpart_id:
          type: string
          format: uuid
          description: >-
            Return only receivables created for the counterpart with the
            specified ID.


            Counterparts that have been deleted but have associated receivables
            will still return results here because the receivables contain a
            frozen copy of the counterpart data.


            If the specified counterpart ID does not exist and never existed, no
            results are returned.
        counterpart_id__in:
          items:
            type: string
            format: uuid
          type: array
        counterpart_name:
          type: string
          description: >-
            Return only receivables created for counterparts with the specified
            name (exact match, case-sensitive). For counterparts of `type` =
            `individual`, the full name is formatted as `first_name last_name`.
        counterpart_name__contains:
          type: string
          description: >-
            Return only receivables created for counterparts whose name contains
            the specified string (case-sensitive).
        counterpart_name__icontains:
          type: string
          description: >-
            Return only receivables created for counterparts whose name contains
            the specified string (case-insensitive).
        created_at__gt:
          type: string
          format: date-time
          description: >-
            Return only receivables created after the specified date and time.
            The value must be in the ISO 8601 format
            `YYYY-MM-DDThh:mm[:ss][Z|±hh:mm]`. Milliseconds are ignored.
        created_at__gte:
          type: string
          format: date-time
          description: >-
            Return only receivables created on or after the specified date and
            time.
        created_at__lt:
          type: string
          format: date-time
          description: Return only receivables created before the specified date and time.
        created_at__lte:
          type: string
          format: date-time
          description: >-
            Return only receivables created before or on the specified date and
            time.
        discounted_subtotal:
          type: integer
          description: >-
            Return only receivables with the exact specified discounted
            subtotal. The amount must be specified in the [minor
            units](https://docs.monite.com/references/currencies#minor-units) of
            currency. For example, $12.5 is represented as 1250.
        discounted_subtotal__gt:
          type: integer
          description: >-
            Return only receivables whose discounted subtotal (in minor units)
            is greater than the specified value.
        discounted_subtotal__gte:
          type: integer
          description: >-
            Return only receivables whose discounted subtotal (in minor units)
            is greater than or equal to the specified value.
        discounted_subtotal__lt:
          type: integer
          description: >-
            Return only receivables whose discounted subtotal (in minor units)
            is less than the specified value.
        discounted_subtotal__lte:
          type: integer
          description: >-
            Return only receivables whose discounted subtotal (in minor units)
            is less than or equal to the specified value.
        document_id:
          type: string
          description: >-
            Return a receivable with the exact specified document number
            (case-sensitive). The `document_id` is the user-facing document
            number such as INV-00042, not to be confused with Monite resource
            IDs (`id`).
        document_id__contains:
          type: string
          description: >-
            Return only receivables whose document number (`document_id`)
            contains the specified string (case-sensitive).
        document_id__icontains:
          type: string
          description: >-
            Return only receivables whose document number (`document_id`)
            contains the specified string (case-insensitive).
        due_date__gt:
          type: string
          format: date
          description: >-
            Return invoices that are due after the specified date (exclusive,
            `YYYY-MM-DD`).


            This filter excludes quotes, credit notes, and draft invoices.
        due_date__gte:
          type: string
          format: date
          description: >-
            Return invoices that are due on or after the specified date
            (`YYYY-MM-DD`).


            This filter excludes quotes, credit notes, and draft invoices.
        due_date__lt:
          type: string
          format: date
          description: >-
            Return invoices that are due before the specified date (exclusive,
            `YYYY-MM-DD`).


            This filter excludes quotes, credit notes, and draft invoices.
        due_date__lte:
          type: string
          format: date
          description: >-
            Return invoices that are due before or on the specified date
            (`YYYY-MM-DD`).


            This filter excludes quotes, credit notes, and draft invoices.
        entity_user_id:
          type: string
          format: uuid
          description: >-
            Return only receivables created by the entity user with the
            specified ID. To query receivables by multiple user IDs at once, use
            the `entity_user_id__in` parameter instead.


            If the request is authenticated using an entity user token, this
            user must have the `receivable.read.allowed` (rather than
            `allowed_for_own`) permission to be able to query receivables
            created by other users.


            IDs of deleted users will still produce results here if those users
            had associated receivables. Valid but nonexistent user IDs do not
            raise errors but produce no results.
        entity_user_id__in:
          items:
            type: string
            format: uuid
          type: array
        has_due_date:
          type: boolean
          description: >-
            Return only receivables that have a due date set. true=only invoices
            with due_date, false=only invoices without due_date
        id__in:
          items:
            type: string
            format: uuid
          type: array
        issue_date__gt:
          type: string
          format: date-time
          description: >-
            Return only non-draft receivables that were issued after the
            specified date and time. The value must be in the ISO 8601 format
            `YYYY-MM-DDThh:mm[:ss][Z|±hh:mm]`. Milliseconds are ignored.
        issue_date__gte:
          type: string
          format: date-time
          description: >-
            Return only non-draft receivables that were issued on or after the
            specified date and time.
        issue_date__lt:
          type: string
          format: date-time
          description: >-
            Return only non-draft receivables that were issued before the
            specified date and time.
        issue_date__lte:
          type: string
          format: date-time
          description: >-
            Return only non-draft receivables that were issued before or on the
            specified date and time.
        limit:
          type: integer
          maximum: 250
          minimum: 1
          default: 100
        order:
          allOf:
            - $ref: '#/components/schemas/OrderEnum'
          default: asc
        pagination_token:
          type: string
        product_ids:
          items:
            type: string
            format: uuid
          type: array
        product_ids__in:
          items:
            type: string
            format: uuid
          type: array
        project_id:
          type: string
          format: uuid
          description: >-
            Return only receivables assigned to the project with the specified
            ID. Valid but nonexistent project IDs do not raise errors but return
            no results.
        project_id__in:
          items:
            type: string
            format: uuid
          type: array
        search_text:
          type: string
          description: >-
            Case-insensitive and partial match search for the specified text in
            the `document_id` and `counterpart_name` fields of the receivables.
        sort:
          $ref: '#/components/schemas/ReceivableCursorFields2'
        status:
          type: string
          enum:
            - draft
            - issued
            - failed
            - accepted
            - expired
            - declined
            - recurring
            - partially_paid
            - paid
            - overdue
            - uncollectible
            - canceled
          description: >-
            Return only receivables that have the specified status. See the
            applicable [invoice
            statuses](https://docs.monite.com/accounts-receivable/invoices/index),
            [quote
            statuses](https://docs.monite.com/accounts-receivable/quotes/index),
            and [credit note
            statuses](https://docs.monite.com/accounts-receivable/credit-notes#credit-note-lifecycle).


            To query multiple statuses at once, use the `status__in` parameter
            instead.
        status__in:
          type: array
          items:
            type: string
        tag_ids:
          items:
            type: string
            format: uuid
          type: array
        tag_ids__in:
          items:
            type: string
            format: uuid
          type: array
        total_amount:
          type: integer
          description: >-
            Return only receivables with the exact specified total amount. The
            amount must be specified in the [minor
            units](https://docs.monite.com/references/currencies#minor-units) of
            currency. For example, $12.5 is represented as 1250.
        total_amount__gt:
          type: integer
          description: >-
            Return only receivables whose total amount (in minor units) exceeds
            the specified value.
        total_amount__gte:
          type: integer
          description: >-
            Return only receivables whose total amount (in minor units) is
            greater than or equal to the specified value.
        total_amount__lt:
          type: integer
          description: >-
            Return only receivables whose total amount (in minor units) is less
            than the specified value.
        total_amount__lte:
          type: integer
          description: >-
            Return only receivables whose total amount (in minor units) is less
            than or equal to the specified value.
        type:
          allOf:
            - $ref: '#/components/schemas/ReceivableType'
          description: >-
            Return only receivables of the specified type. Use this parameter to
            get only invoices, or only quotes, or only credit notes.
      additionalProperties: false
      type: object
    ReceivablePaginationResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ReceivableResponse'
          type: array
        next_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results, or `null` if there is no next page
            (i.e. you've reached the last page).
        prev_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results, or `null` if there is no
            previous page (i.e. you've reached the first page).
      additionalProperties: false
      type: object
      required:
        - data
      description: A paginated list of receivables
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    ReceivableCursorFields2:
      type: string
      enum:
        - counterpart_name
        - counterpart_id
        - amount
        - total_amount
        - status
        - due_date
        - issue_date
        - document_id
        - created_at
        - project_id
    ReceivableType:
      type: string
      enum:
        - quote
        - invoice
        - credit_note
    ReceivableResponse:
      anyOf:
        - $ref: '#/components/schemas/QuoteResponsePayload'
        - $ref: '#/components/schemas/InvoiceResponsePayload'
        - $ref: '#/components/schemas/CreditNoteResponsePayload'
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    QuoteResponsePayload:
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was created. Timestamps follow the ISO
            8601 standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was last updated. Timestamps follow the
            ISO 8601 standard.
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentResponse'
          type: array
          description: >-
            List of attachments to include with the receivable. Each attachment
            can be configured for email inclusion. If not provided, no
            attachments will be associated.
        bank_account_id:
          type: string
          format: uuid
        bank_account_snapshot:
          $ref: '#/components/schemas/BankAccountSnapshot'
        bank_account_type:
          type: string
        based_on:
          type: string
          format: uuid
          description: >-
            The unique ID of a previous document related to the receivable if
            applicable.
        based_on_document_id:
          type: string
          description: >-
            The unique document ID of a previous document related to the
            receivable if applicable.
        comment:
          type: string
          description: Field with a comment on why the client declined this Quote
        commercial_condition_description:
          type: string
          description: >-
            The commercial terms of the receivable (e.g. The products must be
            delivered in X days).
        counterpart_billing_address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: >-
            Address of invoicing, need to state as a separate fields for some
            countries if it differs from address of a company.
        counterpart_business_type:
          type: string
          maxLength: 50
          description: >-
            Different types of companies for different countries, ex. GmbH, SAS,
            SNC, etc.
        counterpart_contact:
          allOf:
            - $ref: '#/components/schemas/ReceivableCounterpartContact'
          description: Additional information about counterpart contacts.
        counterpart_external_reference:
          type: string
          description: The external reference of the counterpart.
        counterpart_id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        counterpart_name:
          type: string
          description: >-
            A legal name of a counterpart it is an organization or first and
            last name if it is an individual
        counterpart_shipping_address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: Address where goods were shipped / where services were provided.
        counterpart_tax_id:
          type: string
          description: The VAT/TAX ID of the counterpart.
        counterpart_type:
          allOf:
            - $ref: '#/components/schemas/CounterpartType'
          description: The type of the counterpart.
        counterpart_vat_id:
          $ref: '#/components/schemas/ReceivableCounterpartVatIDResponse'
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: The currency used in the receivable.
        deduction_amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: The amount of tax deducted in minor units
          deprecated: true
        deduction_memo:
          type: string
          description: A note with additional information about a tax deduction
          deprecated: true
        deductions:
          items:
            $ref: '#/components/schemas/DeductionItem'
          type: array
          maxItems: 10
          description: >-
            List of deductions applied to the receivable (maximum 10 deductions
            allowed)
        discount:
          allOf:
            - $ref: '#/components/schemas/DiscountResponse'
          description: The discount for a receivable.
        discounted_subtotal:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total price of the receivable with discounts before taxes [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        document_id:
          type: string
          description: The sequential code systematically assigned to invoices.
        document_rendering:
          allOf:
            - $ref: '#/components/schemas/DocumentRenderingSettings'
          description: >-
            Settings for rendering documents in PDF format, including settings
            for line items and specific document types.
        due_date:
          type: string
          format: date
          description: Optional field representing date until which invoice should be paid
        entity:
          anyOf:
            - $ref: '#/components/schemas/ReceivableEntityOrganization'
            - $ref: '#/components/schemas/ReceivableEntityIndividual'
        entity_address:
          $ref: '#/components/schemas/ReceivableEntityAddressSchema'
        entity_bank_account:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfEntityBankAccount
          description: Deprecated. Always null; use `bank_account_snapshot` instead.
          deprecated: true
        entity_user_id:
          type: string
          format: uuid
          description: The entity user who created this document.
        entity_vat_id:
          $ref: '#/components/schemas/ReceivableEntityVatIDResponse'
        expiry_date:
          type: string
          format: date
          description: The date (in ISO 8601 format) until which the quote is valid.
        file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the customer-facing PDF file (`file_url`). The value
            matches the counterpart's `language` at the time when this PDF file
            was generated.
        file_url:
          type: string
          description: The receivable's PDF URL in the counterpart's default language.
        footer:
          type: string
          description: Optional text displayed below the line items table in the PDF.
        issue_date:
          type: string
          format: date-time
          description: Optional field for the issue of the entry.
        line_items:
          items:
            $ref: '#/components/schemas/ResponseItem'
          type: array
        memo:
          type: string
          description: A note with additional information for a receivable.
        original_file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the entity's copy of the PDF file
            (`original_file_url`). The value matches the entity's `language` at
            the time when this PDF file was generated.
        original_file_url:
          type: string
          description: The receivable's PDF URL in the entity's default language.
        partner_metadata:
          type: object
          description: Metadata for partner needs
        project_id:
          type: string
          format: uuid
          description: A project related to current receivable
        quote_accept_page_url:
          type: string
          maxLength: 65536
          minLength: 1
          format: uri
          description: Link for custom quote accept page
        signature_required:
          type: boolean
          description: Whether acceptance a quote requires a signature.
        status:
          allOf:
            - $ref: '#/components/schemas/QuoteStateEnum'
          description: The status of the Quote inside the receivable workflow.
        subtotal:
          type: integer
          maximum: 9007199254740991
          description: >-
            The subtotal (excluding tax), in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        subtotal_after_tax:
          type: integer
          maximum: 9007199254740991
          description: >-
            The subtotal including tax but without invoice discount, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        tags:
          items:
            $ref: '#/components/schemas/TagReadSchema'
          type: array
          description: The list of tags for this receivable.
          default: []
        tax_exempt:
          type: boolean
          description: >-
            Indicates whether the goods, materials, or services listed in the
            receivable are exempt from tax or not.
        tax_exemption_rationale:
          type: string
          description: The reason for the tax exemption, if applicable.
        tax_inclusive_discount_mode:
          allOf:
            - $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Indicates whether the discount is applied to the tax-inclusive or
            tax-exclusive amount.
          default: exclusive
        tax_mode:
          allOf:
            - $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Defines whether the prices of products in receivable will already
            include tax or not.
          default: exclusive
        total_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total price of the receivable in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            Calculated as a subtotal + total_tax_amount.
          default: 0
        total_deduction_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total deduction amount of all deductions, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_tax_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total tax of all line items, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_tax_amounts:
          items:
            $ref: '#/components/schemas/TotalTaxAmountItem'
          type: array
          description: List of total tax amount for each tax rate, presented in receivable
        total_withholding_tax:
          type: integer
          description: Total price of the receivable with tax withheld in minor units
        trade_name:
          type: string
          maxLength: 255
          description: Trade name of the entity
        type:
          type: string
          enum:
            - quote
          description: The type of the document uploaded.
        withholding_tax_rate:
          type: integer
          maximum: 10000
          minimum: 0
          description: The amount of tax withheld in percent minor units
      type: object
      required:
        - id
        - created_at
        - updated_at
        - counterpart_id
        - counterpart_type
        - currency
        - entity
        - entity_address
        - file_language
        - line_items
        - original_file_language
        - status
        - total_tax_amount
        - type
    InvoiceResponsePayload:
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was created. Timestamps follow the ISO
            8601 standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was last updated. Timestamps follow the
            ISO 8601 standard.
        amount_due:
          type: integer
          maximum: 9007199254740991
          description: >-
            How much is left to be paid in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            Equal 0 if the Invoice is fully paid.
        amount_paid:
          type: integer
          maximum: 9007199254740991
          description: >-
            How much has been paid [minor
            units](https://docs.monite.com/references/currencies#minor-units)
        amount_to_pay:
          type: integer
          maximum: 9007199254740991
          description: >-
            How much is left to be paid in in [minor
            units](https://docs.monite.com/references/currencies#minor-units),
            including payment_term discounts.
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentResponse'
          type: array
          description: >-
            List of attachments to include with the receivable. Each attachment
            can be configured for email inclusion. If not provided, no
            attachments will be associated.
        bank_account_id:
          type: string
          format: uuid
        bank_account_snapshot:
          $ref: '#/components/schemas/BankAccountSnapshot'
        bank_account_type:
          type: string
        based_on:
          type: string
          format: uuid
          description: >-
            The unique ID of a previous document related to the receivable if
            applicable.
        based_on_document_id:
          type: string
          description: >-
            The unique document ID of a previous document related to the
            receivable if applicable.
        comment:
          type: string
          description: >-
            Field with a comment for pay/partially/uncollectible info on this
            Invoice
        commercial_condition_description:
          type: string
          description: >-
            The commercial terms of the receivable (e.g. The products must be
            delivered in X days).
        counterpart_billing_address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: >-
            Address of invoicing, need to state as a separate fields for some
            countries if it differs from address of a company.
        counterpart_business_type:
          type: string
          maxLength: 50
          description: >-
            Different types of companies for different countries, ex. GmbH, SAS,
            SNC, etc.
        counterpart_contact:
          allOf:
            - $ref: '#/components/schemas/ReceivableCounterpartContact'
          description: Additional information about counterpart contacts.
        counterpart_external_reference:
          type: string
          description: The external reference of the counterpart.
        counterpart_id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        counterpart_name:
          type: string
          description: >-
            A legal name of a counterpart it is an organization or first and
            last name if it is an individual
        counterpart_shipping_address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: Address where goods were shipped / where services were provided.
        counterpart_tax_id:
          type: string
          description: The VAT/TAX ID of the counterpart.
        counterpart_type:
          allOf:
            - $ref: '#/components/schemas/CounterpartType'
          description: The type of the counterpart.
        counterpart_vat_id:
          $ref: '#/components/schemas/ReceivableCounterpartVatIDResponse'
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: The currency used in the receivable.
        deduction_amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: The amount of tax deducted in minor units
          deprecated: true
        deduction_memo:
          type: string
          description: A note with additional information about a tax deduction
          deprecated: true
        deductions:
          items:
            $ref: '#/components/schemas/DeductionItem'
          type: array
          maxItems: 10
          description: >-
            List of deductions applied to the receivable (maximum 10 deductions
            allowed)
        discount:
          allOf:
            - $ref: '#/components/schemas/DiscountResponse'
          description: The discount for a receivable.
        discounted_subtotal:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total price of the receivable with discounts before taxes [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        document_id:
          type: string
          description: The sequential code systematically assigned to invoices.
        document_rendering:
          allOf:
            - $ref: '#/components/schemas/DocumentRenderingSettings'
          description: >-
            Settings for rendering documents in PDF format, including settings
            for line items and specific document types.
        due_date:
          type: string
          format: date
          description: Optional field representing date until which invoice should be paid
        entity:
          anyOf:
            - $ref: '#/components/schemas/ReceivableEntityOrganization'
            - $ref: '#/components/schemas/ReceivableEntityIndividual'
        entity_address:
          $ref: '#/components/schemas/ReceivableEntityAddressSchema'
        entity_bank_account:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfEntityBankAccount
          description: Deprecated. Always null; use `bank_account_snapshot` instead.
          deprecated: true
        entity_user_id:
          type: string
          format: uuid
          description: The entity user who created this document.
        entity_vat_id:
          $ref: '#/components/schemas/ReceivableEntityVatIDResponse'
        file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the customer-facing PDF file (`file_url`). The value
            matches the counterpart's `language` at the time when this PDF file
            was generated.
        file_url:
          type: string
          description: The receivable's PDF URL in the counterpart's default language.
        footer:
          type: string
          description: Optional text displayed below the line items table in the PDF.
        fulfillment_date:
          type: string
          format: date
          description: >-
            The date when the goods are shipped or the service is provided. Can
            be a current, past, or future date.


            Some countries require the fulfillment date in invoices for
            regulatory compliance. In this case, if the fulfillment date was not
            provided by the user, it is automatically set to the invoice issue
            date once the invoice gets issued.


            In countries where the fulfillment date is optional, Monite does not
            auto-assign it if it was omitted by the user.
        issue_date:
          type: string
          format: date-time
          description: Optional field for the issue of the entry.
        line_items:
          items:
            $ref: '#/components/schemas/ResponseItem'
          type: array
        memo:
          type: string
          description: A note with additional information for a receivable.
        original_file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the entity's copy of the PDF file
            (`original_file_url`). The value matches the entity's `language` at
            the time when this PDF file was generated.
        original_file_url:
          type: string
          description: The receivable's PDF URL in the entity's default language.
        overdue_reminder_id:
          type: string
          format: uuid
        paid_at:
          type: string
          format: date-time
          description: Date and time when the invoice was paid.
        partner_metadata:
          type: object
          description: Metadata for partner needs
        payment_page_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: >-
            Link to the invoice's payment page. Either Monite's payment links or
            your custom payment links.
        payment_reminder_id:
          type: string
          format: uuid
        payment_terms:
          $ref: '#/components/schemas/PaymentTerms'
        project_id:
          type: string
          format: uuid
          description: A project related to current receivable
        purchase_order:
          type: string
          maxLength: 100
          description: Contain purchase order number.
        recurrence_id:
          type: string
          format: uuid
          description: >-
            Stores an unique ID of a recurrence if the receivable is in a
            recurring status
        related_documents:
          allOf:
            - $ref: '#/components/schemas/RelatedDocuments'
          description: >-
            Ids of documents that relate to invoice. I.e credit notes, proforma
            invoices, etc.
        status:
          allOf:
            - $ref: '#/components/schemas/ReceivablesStatusEnum'
          description: The status of the receivable inside the receivable workflow.
        subtotal:
          type: integer
          maximum: 9007199254740991
          description: >-
            The subtotal (excluding tax), in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        subtotal_after_tax:
          type: integer
          maximum: 9007199254740991
          description: >-
            The subtotal including tax but without invoice discount, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        tags:
          items:
            $ref: '#/components/schemas/TagReadSchema'
          type: array
          description: The list of tags for this receivable.
          default: []
        tax_exempt:
          type: boolean
          description: >-
            Indicates whether the goods, materials, or services listed in the
            receivable are exempt from tax or not.
        tax_exemption_rationale:
          type: string
          description: The reason for the tax exemption, if applicable.
        tax_inclusive_discount_mode:
          allOf:
            - $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Indicates whether the discount is applied to the tax-inclusive or
            tax-exclusive amount.
          default: exclusive
        tax_mode:
          allOf:
            - $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Defines whether the prices of products in receivable will already
            include tax or not.
          default: exclusive
        total_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total price of the receivable in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            Calculated as a subtotal + total_tax_amount.
          default: 0
        total_amount_with_credit_notes:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total price of the receivable in [minor
            units](https://docs.monite.com/references/currencies#minor-units),
            including tax and excluding all issued credit notes.
        total_deduction_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total deduction amount of all deductions, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_tax_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total tax of all line items, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_tax_amounts:
          items:
            $ref: '#/components/schemas/TotalTaxAmountItem'
          type: array
          description: List of total tax amount for each tax rate, presented in receivable
        total_withholding_tax:
          type: integer
          description: Total price of the receivable with tax withheld in minor units
        trade_name:
          type: string
          maxLength: 255
          description: Trade name of the entity
        type:
          type: string
          enum:
            - invoice
          description: The type of the document uploaded.
        withholding_tax_rate:
          type: integer
          maximum: 10000
          minimum: 0
          description: The amount of tax withheld in percent minor units
      type: object
      required:
        - id
        - created_at
        - updated_at
        - amount_due
        - amount_paid
        - counterpart_id
        - counterpart_type
        - currency
        - entity
        - entity_address
        - file_language
        - line_items
        - original_file_language
        - related_documents
        - status
        - total_amount_with_credit_notes
        - total_tax_amount
        - type
    CreditNoteResponsePayload:
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was created. Timestamps follow the ISO
            8601 standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was last updated. Timestamps follow the
            ISO 8601 standard.
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentResponse'
          type: array
          description: >-
            List of attachments to include with the receivable. Each attachment
            can be configured for email inclusion. If not provided, no
            attachments will be associated.
        bank_account_id:
          type: string
          format: uuid
        bank_account_snapshot:
          $ref: '#/components/schemas/BankAccountSnapshot'
        bank_account_type:
          type: string
        based_on:
          type: string
          format: uuid
          description: >-
            The unique ID of a previous document related to the receivable if
            applicable.
        based_on_document_id:
          type: string
          description: >-
            The unique document ID of a previous document related to the
            receivable if applicable.
        commercial_condition_description:
          type: string
          description: >-
            The commercial terms of the receivable (e.g. The products must be
            delivered in X days).
        counterpart_billing_address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: >-
            Address of invoicing, need to state as a separate fields for some
            countries if it differs from address of a company.
        counterpart_business_type:
          type: string
          maxLength: 50
          description: >-
            Different types of companies for different countries, ex. GmbH, SAS,
            SNC, etc.
        counterpart_contact:
          allOf:
            - $ref: '#/components/schemas/ReceivableCounterpartContact'
          description: Additional information about counterpart contacts.
        counterpart_external_reference:
          type: string
          description: The external reference of the counterpart.
        counterpart_id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        counterpart_name:
          type: string
          description: >-
            A legal name of a counterpart it is an organization or first and
            last name if it is an individual
        counterpart_shipping_address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: Address where goods were shipped / where services were provided.
        counterpart_tax_id:
          type: string
          description: The VAT/TAX ID of the counterpart.
        counterpart_type:
          allOf:
            - $ref: '#/components/schemas/CounterpartType'
          description: The type of the counterpart.
        counterpart_vat_id:
          $ref: '#/components/schemas/ReceivableCounterpartVatIDResponse'
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: The currency used in the receivable.
        deduction_amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: The amount of tax deducted in minor units
          deprecated: true
        deduction_memo:
          type: string
          description: A note with additional information about a tax deduction
          deprecated: true
        deductions:
          items:
            $ref: '#/components/schemas/DeductionItem'
          type: array
          maxItems: 10
          description: >-
            List of deductions applied to the receivable (maximum 10 deductions
            allowed)
        discount:
          allOf:
            - $ref: '#/components/schemas/DiscountResponse'
          description: The discount for a receivable.
        discounted_subtotal:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total price of the receivable with discounts before taxes [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        document_id:
          type: string
          description: The sequential code systematically assigned to invoices.
        document_rendering:
          allOf:
            - $ref: '#/components/schemas/DocumentRenderingSettings'
          description: >-
            Settings for rendering documents in PDF format, including settings
            for line items and specific document types.
        due_date:
          type: string
          format: date
          description: Optional field representing date until which invoice should be paid
        entity:
          anyOf:
            - $ref: '#/components/schemas/ReceivableEntityOrganization'
            - $ref: '#/components/schemas/ReceivableEntityIndividual'
        entity_address:
          $ref: '#/components/schemas/ReceivableEntityAddressSchema'
        entity_bank_account:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfEntityBankAccount
          description: Deprecated. Always null; use `bank_account_snapshot` instead.
          deprecated: true
        entity_user_id:
          type: string
          format: uuid
          description: The entity user who created this document.
        entity_vat_id:
          $ref: '#/components/schemas/ReceivableEntityVatIDResponse'
        file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the customer-facing PDF file (`file_url`). The value
            matches the counterpart's `language` at the time when this PDF file
            was generated.
        file_url:
          type: string
          description: The receivable's PDF URL in the counterpart's default language.
        footer:
          type: string
          description: Optional text displayed below the line items table in the PDF.
        issue_date:
          type: string
          format: date-time
          description: Optional field for the issue of the entry.
        line_items:
          items:
            $ref: '#/components/schemas/ResponseItem'
          type: array
        memo:
          type: string
          description: A note with additional information for a receivable.
        original_file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the entity's copy of the PDF file
            (`original_file_url`). The value matches the entity's `language` at
            the time when this PDF file was generated.
        original_file_url:
          type: string
          description: The receivable's PDF URL in the entity's default language.
        partner_metadata:
          type: object
          description: Metadata for partner needs
        project_id:
          type: string
          format: uuid
          description: A project related to current receivable
        purchase_order:
          type: string
          maxLength: 100
          description: Contain purchase order number.
        status:
          allOf:
            - $ref: '#/components/schemas/CreditNoteStateEnum'
          description: The status of the Credit Note inside the receivable workflow.
        subtotal:
          type: integer
          maximum: 9007199254740991
          description: >-
            The subtotal (excluding tax), in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        subtotal_after_tax:
          type: integer
          maximum: 9007199254740991
          description: >-
            The subtotal including tax but without invoice discount, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        tags:
          items:
            $ref: '#/components/schemas/TagReadSchema'
          type: array
          description: The list of tags for this receivable.
          default: []
        tax_exempt:
          type: boolean
          description: >-
            Indicates whether the goods, materials, or services listed in the
            receivable are exempt from tax or not.
        tax_exemption_rationale:
          type: string
          description: The reason for the tax exemption, if applicable.
        tax_inclusive_discount_mode:
          allOf:
            - $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Indicates whether the discount is applied to the tax-inclusive or
            tax-exclusive amount.
          default: exclusive
        tax_mode:
          allOf:
            - $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Defines whether the prices of products in receivable will already
            include tax or not.
          default: exclusive
        total_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total price of the receivable in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            Calculated as a subtotal + total_tax_amount.
          default: 0
        total_deduction_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total deduction amount of all deductions, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_tax_amount:
          type: integer
          maximum: 9007199254740991
          description: >-
            The total tax of all line items, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_tax_amounts:
          items:
            $ref: '#/components/schemas/TotalTaxAmountItem'
          type: array
          description: List of total tax amount for each tax rate, presented in receivable
        total_withholding_tax:
          type: integer
          description: Total price of the receivable with tax withheld in minor units
        trade_name:
          type: string
          maxLength: 255
          description: Trade name of the entity
        type:
          type: string
          enum:
            - credit_note
          description: The type of the receivable
        withholding_tax_rate:
          type: integer
          maximum: 10000
          minimum: 0
          description: The amount of tax withheld in percent minor units
      type: object
      required:
        - id
        - created_at
        - updated_at
        - counterpart_id
        - counterpart_type
        - currency
        - entity
        - entity_address
        - file_language
        - line_items
        - original_file_language
        - status
        - total_tax_amount
        - type
    AttachmentResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the file with file_type=attachment from /v1/files.
        include_in_email:
          type: boolean
          description: Indicates whether the file would be included in the email.
          default: false
        mimetype:
          type: string
          description: MIME type of the file (e.g., 'application/pdf').
        name:
          type: string
          description: Original filename of the attachment.
        size:
          type: integer
          description: File size in bytes.
        url:
          type: string
          description: URL to access the attachment file.
      type: object
      required:
        - id
        - mimetype
        - name
        - size
        - url
    BankAccountSnapshot:
      properties:
        account_holder_name:
          type: string
        account_number:
          type: string
        bank_name:
          type: string
        routing_number:
          type: string
      type: object
    ReceivablesRepresentationOfCounterpartAddress:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the address in the system
        city:
          type: string
          description: City name.
          example: New York
        country:
          allOf:
            - $ref: '#/components/schemas/AllowedCountries'
          description: >-
            Two-letter ISO country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
          example: US
        line1:
          type: string
          description: Street address.
          example: 456 Fifth Avenue
        line2:
          type: string
          description: Additional address information (if any).
        postal_code:
          type: string
          description: ZIP or postal code.
          example: '10001'
        state:
          type: string
          description: State, region, province, or county.
      type: object
      required:
        - city
        - country
        - line1
        - postal_code
    ReceivableCounterpartContact:
      properties:
        address:
          allOf:
            - $ref: >-
                #/components/schemas/ReceivablesRepresentationOfCounterpartAddress
          description: The contact address of the counterpart
        email:
          type: string
          format: email
          description: The contact email of the counterpart.
          example: marge@example.org
        first_name:
          type: string
          description: The first name of the counterpart contact.
          example: Marge
        last_name:
          type: string
          description: The last name of the counterpart contact.
          example: Smith
        phone:
          type: string
          description: The contact phone number of the counterpart.
          example: '55512378654'
        title:
          type: string
          description: The counterpart contact title (e.g. Dr., Mr., Mrs., Ms., etc).
          example: Dr.
      additionalProperties: false
      type: object
      required:
        - first_name
        - last_name
    CounterpartType:
      type: string
      enum:
        - individual
        - organization
    ReceivableCounterpartVatIDResponse:
      properties:
        id:
          type: string
          format: uuid
        counterpart_id:
          type: string
          format: uuid
        country:
          $ref: '#/components/schemas/AllowedCountries'
        type:
          allOf:
            - $ref: '#/components/schemas/VatIDTypeEnum'
          default: unknown
          example: eu_vat
        value:
          type: string
          maxLength: 32
          example: '123456789'
      additionalProperties: false
      type: object
      required:
        - id
        - counterpart_id
        - value
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - SSP
        - SVC
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
    DeductionItem:
      properties:
        amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: >-
            The amount of the deduction in minor
            units(https://docs.monite.com/references/currencies#minor-units)
        memo:
          type: string
          maxLength: 1000
          description: A note with additional information about this deduction
        name:
          type: string
          maxLength: 100
          minLength: 1
          description: Name or title of this deduction
      additionalProperties: false
      type: object
      required:
        - amount
        - name
    DiscountResponse:
      properties:
        amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: >-
            The actual discount of the product in [minor
            units](https://docs.monite.com/references/currencies#minor-units) if
            type field equals amount, else in percent minor units
        type:
          allOf:
            - $ref: '#/components/schemas/DiscountType'
          description: The field specifies whether to use product currency or %.
        value:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: >-
            The monetary amount of the discount, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            If the discount `type` is `amount`, this value is the same as the
            `amount` value. If `type` is `percentage`, the value is the
            calculated discount amount.
      additionalProperties: false
      type: object
      required:
        - amount
        - type
    DocumentRenderingSettings:
      properties:
        credit_note:
          allOf:
            - $ref: '#/components/schemas/CreditNoteRenderingSettings'
          description: Credit note-specific rendering settings for PDF documents.
        display_line_items:
          type: boolean
          description: >-
            If set to `true`, the line items table will be displayed on the
            quote PDF. Defaults to `true`.
          default: true
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the PDF documents. Defaults to `true`.
          default: true
        invoice:
          allOf:
            - $ref: '#/components/schemas/InvoiceRenderingSettings'
          description: Invoice-specific rendering settings for PDF documents.
        line_items:
          allOf:
            - $ref: '#/components/schemas/LineItemsRenderingSettings'
          description: 'Settings for rendering line items in PDF documents. '
        quote:
          allOf:
            - $ref: '#/components/schemas/QuoteRenderingSettings'
          description: Quote-specific rendering settings for PDF documents.
      type: object
      description: >-
        Settings for rendering documents in PDF format, including settings for
        line items and specific document types.
    ReceivableEntityOrganization:
      properties:
        email:
          type: string
          format: email
          description: An email of the entity
        logo:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A link to the entity logo
        name:
          type: string
          description: >-
            The name of the entity issuing the receivable, when it is an
            organization.
        phone:
          type: string
          description: A phone number of the entity
        registration_authority:
          type: string
          description: The registration authority of the entity
        registration_number:
          type: string
          description: The registration number of the entity
        tax_id:
          type: string
          description: The Tax ID of the entity issuing the receivable
        type:
          type: string
          enum:
            - organization
          description: The entity type
        vat_id:
          type: string
          description: >-
            The VAT ID of the entity issuing the receivable, when it is an
            organization.
        website:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A website of the entity
      type: object
      required:
        - name
        - type
      description: A Response schema for an entity of organization type
    ReceivableEntityIndividual:
      properties:
        email:
          type: string
          format: email
          description: An email of the entity
        first_name:
          type: string
          description: The first name of the entity issuing the receivable
        last_name:
          type: string
          description: The last name of the entity issuing the receivable
        logo:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A link to the entity logo
        phone:
          type: string
          description: A phone number of the entity
        registration_authority:
          type: string
          description: The registration authority of the entity
        registration_number:
          type: string
          description: The registration number of the entity
        tax_id:
          type: string
          description: The Tax ID of the entity issuing the receivable
        type:
          type: string
          enum:
            - individual
          description: The entity type
        website:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A website of the entity
      type: object
      required:
        - first_name
        - last_name
        - type
      description: A Response schema for an entity of individual type
    ReceivableEntityAddressSchema:
      properties:
        city:
          type: string
          maxLength: 255
          description: A city (a full name) where the entity is registered
        country:
          allOf:
            - $ref: '#/components/schemas/AllowedCountries'
          description: 'A country name (as ISO code) where the entity is registered '
          default: DE
          example: DE
        line1:
          type: string
          maxLength: 255
          description: A street where the entity is registered
        line2:
          type: string
          maxLength: 100
          description: An alternative street used by the entity
        postal_code:
          type: string
          maxLength: 10
          description: A postal code of the address where the entity is registered
        state:
          type: string
          description: A state in a country where the entity is registered
      additionalProperties: false
      type: object
      required:
        - city
        - line1
        - postal_code
      description: A schema represents address info of the entity
    ReceivablesRepresentationOfEntityBankAccount:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the entity bank account.
        account_holder_name:
          type: string
          description: Account holder's name
        account_number:
          type: string
          description: Account number (required if IBAN is not provided)
        bank_name:
          type: string
          description: The name of the entity's bank account.
        bic:
          type: string
          description: The BIC of the entity's bank account.
        iban:
          type: string
          description: The IBAN of the entity's bank account.
        routing_number:
          type: string
          description: Routing number (US)
        sort_code:
          type: string
          description: Sort code (GB)
      type: object
    ReceivableEntityVatIDResponse:
      properties:
        id:
          type: string
          format: uuid
        country:
          $ref: '#/components/schemas/AllowedCountries'
        entity_id:
          type: string
          format: uuid
        type:
          allOf:
            - $ref: '#/components/schemas/VatIDTypeEnum'
          default: unknown
          example: eu_vat
        value:
          type: string
          maxLength: 32
          example: '123456789'
      type: object
      required:
        - id
        - country
        - entity_id
        - value
    LanguageCodeEnum:
      type: string
      enum:
        - ab
        - aa
        - af
        - ak
        - sq
        - am
        - ar
        - an
        - hy
        - av
        - ae
        - ay
        - az
        - bm
        - ba
        - eu
        - be
        - bn
        - bi
        - bs
        - br
        - bg
        - my
        - ca
        - ch
        - ce
        - ny
        - zh
        - cu
        - cv
        - kw
        - co
        - cr
        - hr
        - cs
        - da
        - dv
        - nl
        - dz
        - en
        - eo
        - et
        - ee
        - fo
        - fj
        - fi
        - fr
        - fy
        - ff
        - gd
        - gl
        - lg
        - ka
        - de
        - el
        - kl
        - gn
        - gu
        - ht
        - ha
        - he
        - hz
        - hi
        - ho
        - hu
        - io
        - ig
        - id
        - ia
        - ie
        - iu
        - ik
        - ga
        - it
        - ja
        - jv
        - kn
        - kr
        - ks
        - kk
        - km
        - ki
        - rw
        - ky
        - kv
        - kg
        - ko
        - kj
        - ku
        - lo
        - la
        - lv
        - li
        - ln
        - lt
        - lu
        - lb
        - mk
        - mg
        - ms
        - ml
        - mt
        - gv
        - mi
        - mr
        - mh
        - mn
        - na
        - nv
        - nd
        - nr
        - ng
        - ne
        - 'no'
        - nb
        - nn
        - ii
        - oc
        - oj
        - om
        - os
        - pi
        - ps
        - fa
        - pl
        - pt
        - pa
        - qu
        - ro
        - rm
        - rn
        - ru
        - se
        - sm
        - sg
        - sa
        - sc
        - sr
        - sn
        - sd
        - si
        - sk
        - sl
        - so
        - st
        - es
        - su
        - sw
        - ss
        - sv
        - tl
        - ty
        - tg
        - ta
        - tt
        - te
        - th
        - bo
        - ti
        - to
        - ts
        - tn
        - tr
        - tk
        - tw
        - ug
        - uk
        - ur
        - uz
        - ve
        - vi
        - vo
        - wa
        - cy
        - wo
        - xh
        - yi
        - yo
        - za
        - zu
    ResponseItem:
      properties:
        discount:
          allOf:
            - $ref: '#/components/schemas/Discount'
          description: The discount for a product.
        product:
          $ref: '#/components/schemas/LineItemProduct'
        quantity:
          type: number
          maximum: 2147483647
          minimum: 0
          description: >-
            The quantity of each of the goods, materials, or services listed in
            the receivable.
        tax_status:
          allOf:
            - $ref: '#/components/schemas/TaxStatusEnum'
          description: >-
            Tax applicability status of the line item. Possible values:


            * `taxable` (default) - Standard tax behavior. Requires the tax rate
            to be specified.

            * `exempt` - Line item is exempt from taxes. Exempt items are not
            included in total tax calculations.

            * `non_taxable` - Line item is outside the tax scope entirely,
            cannot have tax rates.
          default: taxable
        total_after_tax:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total of line_item after tax with applied line item discount in
            [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        total_before_tax:
          type: integer
          maximum: 9007199254740991
          description: >-
            Total of line_item before tax in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
      type: object
      required:
        - product
        - quantity
        - total_after_tax
        - total_before_tax
    QuoteStateEnum:
      type: string
      enum:
        - draft
        - issued
        - accepted
        - expired
        - declined
        - deleted
    TagReadSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of this tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was created. Timestamps follow the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was last updated. Timestamps follow the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        category:
          allOf:
            - $ref: '#/components/schemas/TagCategory'
          description: The tag category.
          example: department
        created_by_entity_user_id:
          type: string
          format: uuid
          description: ID of the user who created the tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        description:
          type: string
          maxLength: 255
          minLength: 1
          description: The tag description.
          example: Tag for the Marketing Department
        name:
          type: string
          description: The tag name.
          example: Marketing
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
      description: >-
        Represents a user-defined tag that can be assigned to resources to
        filter them.
    VatModeEnum:
      type: string
      enum:
        - exclusive
        - inclusive
    TotalTaxAmountItem:
      properties:
        id:
          type: string
          format: uuid
        amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: >-
            The total tax of all line items, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        components:
          items:
            $ref: '#/components/schemas/TotalTaxAmountItemComponent'
          type: array
          minItems: 1
          description: Sub-taxes included in the VAT.
        name:
          type: string
          description: Display name of the tax rate.
        taxable_amount:
          type: integer
          minimum: 0
          description: >-
            The amount on which this VAT is calculated, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        value:
          type: number
          maximum: 10000
          minimum: 0
          description: 'Percent minor units. Example: 12.5% is 1250.'
      type: object
      required:
        - amount
        - taxable_amount
        - value
    PaymentTerms:
      properties:
        id:
          type: string
          format: uuid
        description:
          type: string
          description: Description of the payment term.
        name:
          type: string
        term_1:
          allOf:
            - $ref: '#/components/schemas/InlineTermDiscount'
          description: >-
            The first tier of the payment term. Represents the terms of the
            first early discount.
        term_2:
          allOf:
            - $ref: '#/components/schemas/InlineTermDiscount'
          description: >-
            The second tier of the payment term. Defines the terms of the second
            early discount.
        term_final:
          allOf:
            - $ref: '#/components/schemas/InlineTermFinal'
          description: The final tier of the payment term. Defines the invoice due date.
      type: object
      required:
        - term_final
    RelatedDocuments:
      properties:
        credit_note_ids:
          items:
            type: string
            format: uuid
          type: array
        proforma_invoice_id:
          type: string
          format: uuid
      additionalProperties: false
      type: object
    ReceivablesStatusEnum:
      type: string
      enum:
        - draft
        - issued
        - failed
        - accepted
        - expired
        - declined
        - recurring
        - partially_paid
        - paid
        - overdue
        - uncollectible
        - canceled
        - deleted
      description: >-
        This Enum the results of combining two types of statuses from

        QuoteStateEnum, CreditNoteStateEnum and InvoiceStateEnum. You shouldn't
        use

        it in your scenarios if only for edge cases in workers, but ideally need
        to

        remove this shared Enum.
    CreditNoteStateEnum:
      type: string
      enum:
        - draft
        - issuing
        - issued
        - failed
        - deleted
    AllowedCountries:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - IC
        - CV
        - KY
        - CF
        - EA
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - AN
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - MK
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - SH
        - KN
        - LC
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SK
        - SI
        - SB
        - SO
        - ZA
        - SS
        - GS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - BL
        - BQ
        - CW
        - MF
        - SX
    VatIDTypeEnum:
      type: string
      enum:
        - ae_trn
        - au_abn
        - au_arn
        - bg_uic
        - br_cnpj
        - br_cpf
        - ca_bn
        - ca_gst_hst
        - ca_pst_bc
        - ca_pst_mb
        - ca_pst_sk
        - ca_qst
        - ch_vat
        - cl_tin
        - es_cif
        - eu_oss_vat
        - eu_vat
        - gb_vat
        - ge_vat
        - hk_br
        - hu_tin
        - id_npwp
        - il_vat
        - in_gst
        - is_vat
        - jp_cn
        - jp_rn
        - kr_brn
        - li_uid
        - mx_rfc
        - my_frp
        - my_itn
        - my_sst
        - no_vat
        - nz_gst
        - ru_inn
        - ru_kpp
        - sa_vat
        - sg_gst
        - sg_uen
        - si_tin
        - th_vat
        - tw_vat
        - ua_vat
        - us_ein
        - za_vat
        - unknown
    DiscountType:
      type: string
      enum:
        - amount
        - percentage
    CreditNoteRenderingSettings:
      properties:
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the credit note PDF.
          default: true
      type: object
    InvoiceRenderingSettings:
      properties:
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the invoice PDF.
          default: true
      type: object
    LineItemsRenderingSettings:
      properties:
        discount:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the discount column in the line items table.
        measure_unit:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the measure unit column in the line items table.
        name:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the name column in the line items table.
        price:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the price column in the line items table.
        price_after_tax:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the price after tax column in the line items table.
        quantity:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the quantity column in the line items table.
        tax_rate:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the tax rate column in the line items table.
        total_price:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the total price column in the line items table.
        total_price_after_tax:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: >-
            Settings for the total price after tax column in the line items
            table.
        vat_amount:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the VAT amount column in the line items table.
          default:
            display: false
      type: object
    QuoteRenderingSettings:
      properties:
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the quote PDF.
          default: true
        display_signature:
          type: boolean
          description: >-
            If set to `true`, the signature field will be displayed on the quote
            PDF.
          default: false
      type: object
    Discount:
      properties:
        amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: >-
            The actual discount of the product in [minor
            units](https://docs.monite.com/references/currencies#minor-units) if
            type field equals amount, else in percent minor units
        type:
          allOf:
            - $ref: '#/components/schemas/DiscountType'
          description: The field specifies whether to use product currency or %.
      additionalProperties: false
      type: object
      required:
        - amount
        - type
    LineItemProduct:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the product.
        accounting_tax_rate_id:
          type: string
          format: uuid
          description: Unique identifier of the accounting tax rate object.
        description:
          type: string
          description: Description of the product.
        external_reference:
          type: string
          maxLength: 255
          minLength: 1
          description: >-
            A user-defined identifier of the product. For example, an internal
            product code or SKU (stock keeping unit). Client applications can
            use this field to map the products in Monite to an external product
            catalog.
          examples:
            - HT-1234-S-BL
            - SERVICE-67890
        is_inline:
          type: boolean
          description: Indicates whether the product is inline
          default: false
        ledger_account_id:
          type: string
          format: uuid
        measure_unit:
          $ref: '#/components/schemas/LineItemProductMeasureUnit'
        name:
          type: string
          description: Name of the product.
        price:
          $ref: '#/components/schemas/Price'
        price_after_tax:
          $ref: '#/components/schemas/Price'
        smallest_amount:
          type: number
          maximum: 2147483647
          minimum: 0
          description: The smallest amount allowed for this product.
        tax_rate:
          $ref: '#/components/schemas/LineItemProductTaxRate'
        type:
          allOf:
            - $ref: '#/components/schemas/ProductServiceTypeEnum'
          description: >-
            Specifies whether this offering is a product or service. This may
            affect the applicable tax rates.
          default: product
      type: object
      required:
        - id
        - name
        - price
        - price_after_tax
        - tax_rate
    TaxStatusEnum:
      type: string
      enum:
        - taxable
        - exempt
        - non_taxable
    TagCategory:
      type: string
      enum:
        - document_type
        - department
        - project
        - cost_center
        - vendor_type
        - payment_method
        - approval_status
    TotalTaxAmountItemComponent:
      properties:
        amount:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: >-
            The total tax of all line items, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        name:
          type: string
        value:
          type: number
          maximum: 10000
          minimum: 0
          description: 'Percent minor units. Example: 12.5% is 1250.'
      type: object
      required:
        - name
        - value
        - amount
    InlineTermDiscount:
      properties:
        discount:
          type: integer
          maximum: 10000
          minimum: 0
          description: >-
            The discount percentage in minor units. E.g., 200 means 2%. 1050
            means 10.5%.
        end_date:
          type: string
          format: date
        number_of_days:
          type: integer
          maximum: 10000
          minimum: 0
          description: The amount of days after the invoice issue date.
      additionalProperties: false
      type: object
      required:
        - discount
    InlineTermFinal:
      properties:
        end_date:
          type: string
          format: date
        number_of_days:
          type: integer
          maximum: 10000
          minimum: 0
          description: The amount of days after the invoice issue date.
      additionalProperties: false
      type: object
    LineItemColumnSettings:
      properties:
        display:
          type: boolean
          default: true
        label:
          type: string
          maxLength: 32
          minLength: 1
          description: >-
            Line item table column header to override Monite's default. If not
            set, the Monite's default will be used.
      type: object
    LineItemNumericColumnSettings:
      properties:
        display:
          type: boolean
          default: true
        label:
          type: string
          maxLength: 32
          minLength: 1
          description: >-
            Line item table column header to override Monite's default. If not
            set, the Monite's default will be used.
        precision:
          type: integer
          maximum: 4
          minimum: 2
          description: >-
            Number of decimal places to display for numeric values in this
            column.
      type: object
      description: Extended settings for numeric columns in line items.
    LineItemProductMeasureUnit:
      properties:
        id:
          type: string
          format: uuid
        description:
          type: string
          maxLength: 200
        name:
          type: string
          maxLength: 100
          minLength: 1
      type: object
      required:
        - name
    Price:
      properties:
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: The currency in which the price of the product is set.
        value:
          type: integer
          maximum: 9007199254740991
          minimum: 0
          description: The actual price of the product.
      additionalProperties: false
      type: object
      required:
        - currency
        - value
    LineItemProductTaxRate:
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the tax rate object.
        components:
          items:
            $ref: '#/components/schemas/VatRateComponent'
          type: array
          minItems: 1
          description: Sub-taxes included in the VAT.
        country:
          allOf:
            - $ref: '#/components/schemas/AllowedCountries'
          description: >-
            Two-letter ISO country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
          example: US
        is_custom:
          type: boolean
          description: Indicates whether this tax rate is defined by user.
          default: false
        name:
          type: string
          description: Display name of the tax rate.
        value:
          type: number
          maximum: 10000
          minimum: 0
          description: 'Percent minor units. Example: 12.5% is 1250.'
      type: object
      required:
        - country
        - value
    ProductServiceTypeEnum:
      type: string
      enum:
        - product
        - service
    VatRateComponent:
      properties:
        name:
          type: string
          maxLength: 64
          description: Display name of the Tax.
        value:
          type: number
          maximum: 10000
          minimum: 0
          description: >-
            Percent multiplied by a 100. Example: 12.125% is 1212.5. Will be
            rounded to 2 decimal places
      additionalProperties: false
      type: object
      required:
        - name
        - value
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````